Package sudoku.constraint

# Enum Class Constraint

java.lang.Object
java.lang.Enum<Constraint>
sudoku.constraint.Constraint

All Implemented Interfaces:
  `Serializable`, `Comparable<Constraint>`, `Constable`

public enum Constraint extends Enum<Constraint>
Enumération utilisée afin de simplifier l'affichage en graphique. Un sudoku peut tout de même contenir des contraintes qui ne sont pas dans cette énumération.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Block`
  `Column`
  `Diagonal`
  `Line`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IConstraint`
  `getConstraint()`
  `String`
  `getDisplayName()`
  `static Constraint`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Constraint[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Block

    public static final Constraint Block

  - ### Column

    public static final Constraint Column

  - ### Line

    public static final Constraint Line

  - ### Diagonal

    public static final Constraint Diagonal

- ## Method Details

  - ### values

    public static Constraint[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Constraint valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplayName

    public String getDisplayName()

  - ### getConstraint

    public IConstraint getConstraint()